<?php

namespace MCPEStore;

class APIRequest
{
    const BASE_URL = "https://mcpe.store/api";

    public function send(string $method, string $endpoint, string $uuid = "", array $headers = [], array $data = [], array $options = [])
    {
        $ch = curl_init();

        curl_setopt_array($ch, [
            CURLOPT_URL           => self::BASE_URL . $endpoint,
            CURLOPT_CUSTOMREQUEST => $method,
            CURLOPT_POSTFIELDS    => $data ?: json_encode($data),
            CURLOPT_HTTPHEADER    => [
                "Content-Type: application/json",
                "Authorization: Bearer {$uuid}"
            ],
            CURLOPT_RETURNTRANSFER => true,
            CURLOPT_SSL_VERIFYPEER => false
        ]);

        $response = curl_exec($ch);
        $error    = curl_error($ch);
        
        curl_close($ch);

        if ($error) {
            return ['error' => $error];
        }

        return json_decode($response, false);
    }
}